#ifndef __SR_ANIMATED_AMMO_SPRITE__
#define __SR_ANIMATED_AMMO_SPRITE__

#include "SRAmmoSprite.h"

class SRAnimatedAmmoSprite : public SRAmmoSprite
{
public:
    SRAnimatedAmmoSprite( CFStringRef inBasename, int inNumIcons,
                          int inFramesPerIcon, SRObject *inParent );
    virtual ~SRAnimatedAmmoSprite();
    
	virtual void Think();

protected:
    CGImageRef       *fImages;
    int               fCurrentFrame;
    int               fNumFrames;
    int               fFramesPerIcon;
    int               fFrameCounter;
};

#endif // __SR_ANIMATED_AMMO_SPRITE__
