#ifndef __SR_BOOM_SPRITE_H__
#define __SR_BOOM_SPRITE_H__

#include "SRCgImageSprite.h"
#include "SRObjectTypes.h"

#define kBoomID         128
#define kGrowthFactor   1.1f
#define kSlowdown       1.0f
#define kMinWidth       20.0f
#define kMinHeight      20.0f

class SRBoomSprite : public SRCgImageSprite
{
public:
    SRBoomSprite( SRObject *creator );
    ~SRBoomSprite();
    
    virtual void Think();
    virtual void Draw( CGContextRef theRef = 0 );
    virtual bool Hit( SRObject */*other*/ ) { return false; }
    virtual int Type() { return kExplosionType; }

protected:
	static CGImageRef	fBoomPicture;
    int                 fCurrentFrame;
    int                 fXSlowdownFactor;
    int                 fYSlowdownFactor;
};

#endif // __SR_BOOM_SPRITE_H__
