/*
 *  SRCgImageSprite.h
 *  SpaceRatXCode
 *
 *  Created by James Dessart on 10/08/06.
 *  Copyright 2006 James Dessart. All rights reserved.
 *
 */

#ifndef __SR_CG_IMAGE_SPRITE_H___
#define __SR_CG_IMAGE_SPRITE_H___

#include <Carbon/Carbon.h>

#include "SRObject.h"

class SRCgImageSprite : public SRObject
{
public:
	SRCgImageSprite( CFStringRef inImageName = 0 );
	
	virtual void Draw( CGContextRef theRef );
	
	// Note: All subclasses must call this Think after changing icon,
	// so that their width and height can be updated to the current
	// image!
	virtual void Think();
	
protected:
	CGImageRef	fImage;
};

#endif // __SR_CG_IMAGE_SPRITE_H___
