#ifndef __SR_STAR_H__
#define __SR_STAR_H__

#include "SRObject.h"
#include "SRObjectTypes.h"
#include "SRGraphicsUtils.h"

#define     kNumStars       50
#define     kMaxStarSpeed   8.0f
#define     kColorShift     20000

class SRStar : public SRObject
{
public:
    SRStar( float x, float y, RGBColor starColor );
    ~SRStar();
    
    virtual void Draw( CGContextRef theRef = 0 );
    virtual void Think();
    virtual bool Hit( SRObject * ) { return false; }
    virtual int Type() { return kStarfieldType; }
    
protected:
    SRRgbColour    fStarColor;
};

#endif // __SR_STAR_H__
